package com.dgtly.order.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 订单基础 订单的基础信息对象 order_base
 * 
 * @author qxp
 * @date 2020-07-10
 */
public class OrderDetailModel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    //订单号
    private String orderNumber;
    //创建时间
    private String orderCreationTime;
    //总重量
    private String orderWeight ="0.0";
    //订单金额
    private String orderAmount = "0.0";
    //发货过账
    private String shipmentPosted = "0.0";
    //发货未过账
    private String shipmentNotPosted = "0.0";
    //未清金额
    private String unclearAmount = "0.0";
    //冻结金额
    private String freezeAmount = "0.0";
    /**
     * 订单状态 (ui上需要只需要11 12 14 15 16)
     * 10 订单初建
     * 11 待过信用
     * 12 待确认收货时间
     * 13 已确认收货时间
     * 14 待发货
     * 15 待收货
     * 16 待评价
     */
    private int status = 10;
    //    行明细
    private List<OrderLineDetailLineModel> orderLineDetailLineModels = new ArrayList<>();

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public String getOrderCreationTime() {
        return orderCreationTime;
    }

    public void setOrderCreationTime(String orderCreationTime) {
        this.orderCreationTime = orderCreationTime;
    }

    public String getOrderWeight() {
        return orderWeight;
    }

    public void setOrderWeight(String orderWeight) {
        this.orderWeight = orderWeight;
    }

    public String getOrderAmount() {
        return orderAmount;
    }

    public void setOrderAmount(String orderAmount) {
        this.orderAmount = orderAmount;
    }

    public String getShipmentPosted() {
        return shipmentPosted;
    }

    public void setShipmentPosted(String shipmentPosted) {
        this.shipmentPosted = shipmentPosted;
    }

    public String getShipmentNotPosted() {
        return shipmentNotPosted;
    }

    public void setShipmentNotPosted(String shipmentNotPosted) {
        this.shipmentNotPosted = shipmentNotPosted;
    }

    public String getUnclearAmount() {
        return unclearAmount;
    }

    public void setUnclearAmount(String unclearAmount) {
        this.unclearAmount = unclearAmount;
    }

    public String getFreezeAmount() {
        return freezeAmount;
    }

    public void setFreezeAmount(String freezeAmount) {
        this.freezeAmount = freezeAmount;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public List<OrderLineDetailLineModel> getOrderLineDetailLineModels() {
        return orderLineDetailLineModels;
    }

    public void setOrderLineDetailLineModels(List<OrderLineDetailLineModel> orderLineDetailLineModels) {
        this.orderLineDetailLineModels = orderLineDetailLineModels;
    }

    @Override
    public String toString() {
        return "OrderDetailModel{" +
                "orderNumber='" + orderNumber + '\'' +
                ", orderCreationTime='" + orderCreationTime + '\'' +
                ", orderWeight=" + orderWeight +
                ", orderAmount=" + orderAmount +
                ", shipmentPosted=" + shipmentPosted +
                ", shipmentNotPosted=" + shipmentNotPosted +
                ", unclearAmount=" + unclearAmount +
                ", freezeAmount=" + freezeAmount +
                ", status=" + status +
                ", orderLineDetailLineModels=" + orderLineDetailLineModels +
                '}';
    }
}
